package domain

type AlibabaHmMarketingItemdiscountQueryactivityMarketResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   特价活动信息     */
	Data *AlibabaHmMarketingItemdiscountQueryactivityItemDiscountActivity `json:"data,omitempty" `

	/*
	   是否参加后单压前单，默认不参加     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingItemdiscountQueryactivityMarketResult) SetMessage(v string) *AlibabaHmMarketingItemdiscountQueryactivityMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountQueryactivityMarketResult) SetErrorCode(v string) *AlibabaHmMarketingItemdiscountQueryactivityMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountQueryactivityMarketResult) SetData(v AlibabaHmMarketingItemdiscountQueryactivityItemDiscountActivity) *AlibabaHmMarketingItemdiscountQueryactivityMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountQueryactivityMarketResult) SetSuccess(v bool) *AlibabaHmMarketingItemdiscountQueryactivityMarketResult {
	s.Success = &v
	return s
}
